L1TF / Foreshadow patched kernels available

Forum Forums News Announcements L1TF / Foreshadow patched kernels available

This topic contains 15 replies, has 7 voices, and was last updated by poorguy Sep 15-5:54 am.

Viewing 15 posts - 1 through 15 (of 16 total)
  • Author
    Posts
  • #11934
    Forum Admin
    anticapitalista
    anticapitalista

    Users are advised to upgrade their kernels to the latest now available in the antiX repos.

    These versions are now available for both 32 (486 and 686-pae) and 64 bit architecture
    for all flavours.

    4.18.7 stretch, testing, sid
    4.9.126 stretch, testing, sid
    4.4.155 jessie (antiX-16)

    • This topic was modified 3 weeks, 5 days ago by anticapitalista.
    • This topic was modified 1 week, 3 days ago by anticapitalista. Reason: updated

    Philosophers have interpreted the world in many ways; the point is to change it.

    #11942
    Forum Admin
    rokytnji
    rokytnji

    These 3 listed

    4.18.4 stretch, testing, sid
    4.9.123 stretch, testing, sid
    4.4.151 jessie (antiX-16)

    is all that is supported. I take it. Because for second. This threw me.

    for all flavours.

    harry@shop:~
    $ inxi -S
    System:
      Host: shop Kernel: 4.9.87-antix.1-amd64-smp x86_64 bits: 64 Desktop: IceWM 1.4.2 
      Distro: antiX-17.1_x64-full Heather Heyer 17 March 2018 
    harry@shop:~
    $ sudo apt-get update && sudo apt-get -f install
    [sudo] password for harry: 
    Hit:1 http://ftp.us.debian.org/debian stretch-updates InRelease
    Ign:2 http://ftp.us.debian.org/debian stretch InRelease                  
    Hit:3 http://repo.antixlinux.com/stretch stretch InRelease               
    Hit:4 http://ftp.us.debian.org/debian stretch Release
    Hit:6 http://security.debian.org stretch/updates InRelease
    Reading package lists... Done                
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following package was automatically installed and is no longer required:
      python-appindicator
    Use 'sudo apt autoremove' to remove it.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    

    But now that I read it again. I think I need to install a new kernel with cli-aptiX

    4.9.123 stretch, testing, sid

    Will wait for clarification later on.

    • This reply was modified 3 weeks, 5 days ago by rokytnji.

    Beer, Bikes, and BBQ. It's what we do
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

    #11944
    Forum Admin
    rokytnji
    rokytnji
    harry@shop:~
    $ su
    Password: 
    root@shop:/home/harry# cli-aptiX
    Checking source files ...
    Checking for package upgrades ...
    Creating database ...
    database generation took 1.17 seconds
    
    ===============================================================================
    antiX Command Line Package Installer
    ===============================================================================
    (no pending upgrades)
                                                                                                                                                                
    Main Menu                                                                                                                                                   
      > Search for packages to mark or install                                                                                                                  
      > View a list of 83 suggested Command Line packages                                                                                                       
      > View a list of 40 suggested GUI packages                                                                                                                
      = Search for antiX kernels                                                                                                                                
      > Search for all kernels                                                                                                                                  
      > Update package index                                                                                                                                    
      > Edit the repo source files                                                                                                                              
      > Quit                                                                                                                                                    
    Press <Enter> to select the highlighted entry                                                                                                               
    Use 'h' for help, 'r' to redraw, 'q' to quit                                                                                                                
                                                                                                                                                                
    -------------------------------------------------------------------------------
    Search for packages
    -------------------------------------------------------------------------------
    Searching for linux-image-*antix*amd64
    
      Found     0 exact name matches
      Found    35 leading name matches
      Found    35 any name matches
      Found    35 name or description matches
    
    searches took 0.15 seconds
    
    Search Result Menu
                                                                                                                                                                
    Please select an action                                                                                                                                     
      = View 35 leading results                                                                                                                                 
      > View 35 any name results                                                                                                                                
      > View 35 description results                                                                                                                             
      > Do a different search                                                                                                                                   
    Press <Enter> to select the highlighted entry                                                                                                               
    Use 'h' for help, 'r' to redraw, 'q' to go back to the main menu                                                                                            
         1) linux-image-3.7.10-antix.5-amd64-smp - Linux kernel, version 3.7.10-antix.5-amd64-smp                                                               
         2) linux-image-3.7.10-gnu-antix.5-amd64-smp - Linux kernel, version 3.7.10-gnu-antix.5-amd64-smp
         3) linux-image-4.10.5-antix.1-amd64-smp - Linux kernel, version 4.10.5-antix.1-amd64-smp
         4) linux-image-4.10.5-antix.2-amd64-smp - Linux kernel, version 4.10.5-antix.2-amd64-smp
         5) linux-image-4.10.5-antix.3-amd64-smp - Linux kernel, version 4.10.5-antix.3-amd64-smp
         6) linux-image-4.10.5-gnu-antix.1-amd64-smp - Linux kernel, version 4.10.5-gnu-antix.1-amd64-smp
         7) linux-image-4.10.5-gnu-antix.2-amd64-smp - Linux kernel, version 4.10.5-gnu-antix.2-amd64-smp
         8) linux-image-4.10.5-gnu-antix.3-amd64-smp - Linux kernel, version 4.10.5-gnu-antix.3-amd64-smp
         9) linux-image-4.14.12-antix.1-amd64-smp - Linux kernel, version 4.14.12-antix.1-amd64-smp
        10) linux-image-4.14.12-gnu-antix.1-amd64-smp - Linux kernel, version 4.14.12-gnu-antix.1-amd64-smp
        11) linux-image-4.14.14-antix.1-amd64-smp - Linux kernel, version 4.14.14-antix.1-amd64-smp
        12) linux-image-4.15.0-antix.1-amd64-smp - Linux kernel, version 4.15.0-antix.1-amd64-smp
        13) linux-image-4.15.14-antix.1-amd64-smp - Linux kernel, version 4.15.14-antix.1-amd64-smp
        14) linux-image-4.15.3-antix.1-amd64-smp - Linux kernel, version 4.15.3-antix.1-amd64-smp
        15) linux-image-4.15.4-antix.1-amd64-smp - Linux kernel, version 4.15.4-antix.1-amd64-smp
        16) linux-image-4.15.5-antix.1-amd64-smp - Linux kernel, version 4.15.5-antix.1-amd64-smp
        17) linux-image-4.15.9-antix.1-amd64-smp - Linux kernel, version 4.15.9-antix.1-amd64-smp
        18) linux-image-4.16.13-antix.1-amd64-smp - Linux kernel, version 4.16.13-antix.1-amd64-smp
        19) linux-image-4.16.9-antix.1-amd64-smp - Linux kernel, version 4.16.9-antix.1-amd64-smp
        20) linux-image-4.17.4-antix.1-amd64-smp - Linux kernel, version 4.17.4-antix.1-amd64-smp
        21) linux-image-4.18.4-antix.1-amd64-smp - Linux kernel, version 4.18.4-antix.1-amd64-smp
        22) linux-image-4.4.125-antix.1-amd64-smp - Linux kernel, version 4.4.125-antix.1-amd64-smp
        23) linux-image-4.9.100-antix.1-amd64-smp - Linux kernel, version 4.9.100-antix.1-amd64-smp
        24) linux-image-4.9.104-antix.1-amd64-smp - Linux kernel, version 4.9.104-antix.1-amd64-smp
        25) linux-image-4.9.123-antix.1-amd64-smp - Linux kernel, version 4.9.123-antix.1-amd64-smp
        26) linux-image-4.9.75-antix.1-amd64-smp - Linux kernel, version 4.9.75-antix.1-amd64-smp
        27) linux-image-4.9.75-antix.2-amd64-smp - Linux kernel, version 4.9.75-antix.2-amd64-smp
        28) linux-image-4.9.75-gnu-antix.1-amd64-smp - Linux kernel, version 4.9.75-gnu-antix.1-amd64-smp
        29) linux-image-4.9.77-antix.1-amd64-smp - Linux kernel, version 4.9.77-antix.1-amd64-smp
        30) linux-image-4.9.79-antix.1-amd64-smp - Linux kernel, version 4.9.79-antix.1-amd64-smp
        31) linux-image-4.9.81-antix.1-amd64-smp - Linux kernel, version 4.9.81-antix.1-amd64-smp
        32) linux-image-4.9.82-antix.1-amd64-smp - Linux kernel, version 4.9.82-antix.1-amd64-smp
        33) linux-image-4.9.83-antix.1-amd64-smp - Linux kernel, version 4.9.83-antix.1-amd64-smp
        34) (I) linux-image-4.9.87-antix.1-amd64-smp - Linux kernel, version 4.9.87-antix.1-amd64-smp
        35) linux-image-4.9.91-antix.1-amd64-smp - Linux kernel, version 4.9.91-antix.1-amd64-smp
    Press <Enter> to skip picking a package
    Or enter the number of each package you want to mark or install
    Use - to indicate a range of numbers
    Use q<Enter> to go to main menu
    Use r<Enter> to see the results again
    Use s<Enter> to do a new search
    

    Beer, Bikes, and BBQ. It's what we do
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

    #11945
    Forum Admin
    anticapitalista
    anticapitalista

    Good to see that 4.9.123 shows up in cli-aptiX (number 25) so it seems to be working ok.
    cli-aptiX should only show the kernel versions for that arch/version ie 32 or 64 bit.

    Philosophers have interpreted the world in many ways; the point is to change it.

    #11949
    Member

    stevesr0

    I installed the 4.18.4 image. The install complains that it can’t find the associated header file. There is no linux-header for 4.18.4 that I could find.

    I haven’t rebooted yet to try it.

    Is this ignorable?

    UPDATE: Never mind. I rechecked my apt update response and it didn’t have an antix repo for some reason (I thought it did tonight when I booted.) So, I changed the antix repo listed in the control centre and more files were found, including header files for 4.18.4. Installed without problem or error message.

    I will report back if 4.18.4 isn’t there when I boot next.

    stevesr0

    stevesr0

    • This reply was modified 3 weeks, 5 days ago by stevesr0.
    #11963
    Member

    greyowl

    I updated to 4.9.123–see below:
    $ inxi -S
    System:
    Host: antix1 Kernel: 4.9.123-antix.1-486-smp i686 bits: 32 Desktop: IceWM 1.4.2
    Distro: antiX-17_386-full Heather Heyer 24 October 2017

    After I try it for a while, should I remove 4.9.87? If so, do I use Synaptic Package Manager to remove it?

    Thanks for the help.

    Dell Latitude D610 laptop (1.86 GHz, 2G RAM, 32 bit) - antiX 17

    #11966
    Forum Admin
    anticapitalista
    anticapitalista

    Once you are happy with how the new one works, then you can remove the older kernel(s) and corresponding header debs via synaptic

    Philosophers have interpreted the world in many ways; the point is to change it.

    #11967
    Member

    greyowl

    Thanks for the help.

    Dell Latitude D610 laptop (1.86 GHz, 2G RAM, 32 bit) - antiX 17

    #12036
    Member

    andfree

    I don’t see 4.9.123 in synaptic. The last 4.9 version I see is 4.9.104.

    $ inxi -r
    Repos:
      No active apt repos in: /etc/apt/sources.list 
      Active apt repos in: /etc/apt/sources.list.d/antix.list 
      1: deb http://ftp.cc.uoc.gr/mirrors/linux/mx/antix/stretch/ stretch main nosystemd
      Active apt repos in: /etc/apt/sources.list.d/debian-stable-updates.list 
      1: deb http://ftp.gr.debian.org/debian/ stretch-updates main contrib non-free
      Active apt repos in: /etc/apt/sources.list.d/debian.list 
      1: deb http://ftp.gr.debian.org/debian/ stretch main contrib non-free
      2: deb http://security.debian.org/ stretch/updates main contrib non-free
      No active apt repos in: /etc/apt/sources.list.d/onion.list 
      No active apt repos in: /etc/apt/sources.list.d/various.list
    #12037
    Member

    andfree

    I opened Repo Manager and selected this repo:

    USA, Utah – http://repo.antixlinux.com

    After updating, the 4.9.123 kernel appeared in Synaptic. I installed it and rebooted into it. It seems to be OK.

    $ inxi -S
    System:
      Host: ts2450s203 Kernel: 4.9.123-antix.1-486-smp i686 bits: 32 
      Desktop: IceWM 1.4.2 
      Distro: antiX-17_386-base Heather Heyer 24 October 2017
    • This reply was modified 2 weeks, 6 days ago by andfree.
    #12143
    Forum Admin
    anticapitalista
    anticapitalista

    *bumped to show newer versions

    Users are advised to upgrade their kernels to the latest now available in the antiX repos.

    These versions are now available for both 32 (486 and 686-pae) and 64 bit architecture
    for all flavours.

    4.18.7 stretch, testing, sid
    4.9.126 stretch, testing, sid
    4.4.155 jessie (antiX-16)

    Philosophers have interpreted the world in many ways; the point is to change it.

    #12149
    Member
    Hierax_ca
    Hierax_ca

    Excellent, Thank You!

    Any chance of an updated 4.14 LTS Kernel?

    AntiX-17.1 (32-bit) / (64-bit):
    - Core - Toshiba Tecra 780cdm (1998), IBM Thinkpad 600X (1999);
    - Base - IBM Thinkpad A31p (2002), T43p (2005);
    - Full - Lenovo Thinkpad T60p (2006) / x301 (2009), T500 CoreBoot (2009).

    #12154
    Forum Admin
    anticapitalista
    anticapitalista

    Excellent, Thank You!

    Any chance of an updated 4.14 LTS Kernel?

    Unlikely, due to time constraints.

    Philosophers have interpreted the world in many ways; the point is to change it.

    #12157
    Member
    poorguy
    poorguy

    4.18.7 stretch, testing, sid
    4.9.126 stretch, testing, sid

    If I may ask this question.

    Is there any advantage of 4.9.126 stretch kernel over the 4.18.7 stretch kernel.

    I installed this kernel 4.9.126 stretch and I’m using an 8 year old desktop Antix 17.1 .

    Thanks

    Under certain circumstances, profanity provides a relief denied even to prayer.
    (Mark Twain)

    Inspiration can be found in a pile of junk. Sometimes, you can put it together with a good imagination and invent something.
    (Thomas Edison)

    #12160
    Forum Admin
    rokytnji
    rokytnji

    I’ve found that older computers like older kernels. But in your case. I don’t know.

    Install and compare is all I would do.

    Beer, Bikes, and BBQ. It's what we do
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

Viewing 15 posts - 1 through 15 (of 16 total)

You must be logged in to reply to this topic.